Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error
 
Notifications
Clear all

Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error  

  RSS
Thorstag
(@thorstag)
Active Member
Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error

This evening I decided to go ahead and update my firmware considering I was doing general cleanup and maint of my systems.
1. Downloaded the latest FW package from the Support site
2. Use Slic3r PE to flash the printer (This was the first time for me)
3. Silc3r indicated successful flash but errors existed in the log
4. Printer shows the following message "External SPI Flash W25X20CL not responding."

Factory Reset can not be performed the printer as it returns to same message.
I have tried to flash the printer to FW 3.3.0
I have used different mechanisms to flash with
All of the end with the same result.

The only thing I can think is that I have blown the Einsy board some how.

Any thoughts on resolving this?

Posted : 19/07/2018 4:32 am
ad.lamy
(@ad-lamy)
Estimable Member
Re: Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error


This evening I decided to go ahead and update my firmware considering I was doing general cleanup and maint of my systems.
1. Downloaded the latest FW package from the Support site
2. Use Slic3r PE to flash the printer (This was the first time for me)
3. Silc3r indicated successful flash but errors existed in the log
4. Printer shows the following message "External SPI Flash W25X20CL not responding."

Factory Reset can not be performed the printer as it returns to same message.
I have tried to flash the printer to FW 3.3.0
I have used different mechanisms to flash with
All of the end with the same result.

The only thing I can think is that I have blown the Einsy board some how.

Any thoughts on resolving this?

Hi lewis,

I have this problem since new fw version 3.3.0, I need to reflash to 3.2.1 to get my printer working.
This was reported to Github, https://github.com/prusa3d/Prusa-Firmware/issues/896 .

Regards

Posted : 19/07/2018 6:47 am
griffith.g
(@griffith-g)
New Member
Re: Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error

After flashing to 3.3.1 I started getting the message "Preheat the hotend!" and it wouldn't let me do anything else.

Did you download and install the driver from "Drivers and Apps 2.1.8?" I uninstalled the 2.1.8 driver and reinstalled the one from 2.1.7. Then I powered down the printer, waited a couple seconds, after powered it on as soon as I saw "Original Prusa i3" I clicked "Flash!" in Slic3rPE. The message went away and I was able to run the Calibration Wizard. It's working perfectly now.

Posted : 19/07/2018 7:03 am
Thorstag
(@thorstag)
Active Member
Topic starter answered:
Re: Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error

I have confirmed this is not a Driver issue, the 2.1.8 driver will flash FW 3.2.1 just fine.
The issue still occurs if you attempt a command line flash of FW 3.3.1.
That means the issue is either with the firmware or with my printer which I received the first week of Jan so it is one of the early ones.

Posted : 19/07/2018 4:13 pm
Haider
(@haider)
New Member
Re: Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error

Confirmed, problem with the firmware, flashed back 3.2.1 all fine. Shall wait for another update.

Posted : 19/07/2018 7:30 pm
Haider
(@haider)
New Member
Re: Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error

Any update?

Posted : 24/07/2018 9:42 pm
ad.lamy
(@ad-lamy)
Estimable Member
Re: Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error

Any update?

Hi sajjad,

It's an harware problem with the Einsy board version A, this version do not have SPI chip, only B version Einsy which has a daughter board with SPI chip on it, can be flashed with new firmware, you must contact [email protected] and asking for the add-on board.

Take a look at the manual page 70 https://www.prusa3d.com/downloads/manual/prusa3d_manual_mk3_en_3_03.pdf?2#_ga=2.4911475.1797068793.1532627535-1527668960.1532627535

Posted : 26/07/2018 8:16 pm
Haider
(@haider)
New Member
Re: Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error

Thanks, it means I should receive a new board ?

Posted : 08/08/2018 5:50 pm
ad.lamy
(@ad-lamy)
Estimable Member
Re: Upgrade to FW 3.3.1 on MK3 caused External SPI Flash error


Thanks, it means I should receive a new board ?

Yes they will send you the daughterboar for free, this add-on board just plugs in the Einsy, take a picture of your Einsy board and send it when asking for it.

Posted : 10/08/2018 7:11 am
Share: